import sprite
import pygame.transform, pygame.font, os

class Scoreboard(sprite.Sprite):

    img = "score.png"
    score = 0
    lives = 3

    def __init__(self,scr):
        sprite.Sprite.__init__(self,scr)
        self.surface.set_alpha(80)
        pygame.font.init()
        self.font = pygame.font.Font(None,50)
        self.heart = pygame.image.load(os.path.join("sprites","heart.png"))

    def render(self, parent):
        try:
            parent.blit(self.surface,(self.screen.width - self.width,10) )
            txt = self.font.render(str(self.score), True, (0,120,0))
            parent.blit(txt, (self.screen.width - self.width + 30, 20) )

            for i in range(self.lives):
                parent.blit(self.heart,(self.screen.width - self.width + 5,15+15*i) )
            
        except Exception, e: print "Error:",self.x, self.y, e
        self.new_iter()
