import sprite

class Enemy(sprite.Sprite):
    img = "enemyskull.png"

    dying = False
    dyingcounter = 0
    dead = False

    def render(self, parent):
        if self.dying:
            self.dyingcounter+=1
            if self.dyingcounter > 12: 
                self.dead = True
                for con in self.connections:
                    try:
                        i = con.connections.index(self)
                        con.connections.pop(i)
                    except Exception, e:
                        print e
                self.connections = []
            
        if int(self.dyingcounter/3)%2 == 0:
            try:
                parent.blit(self.surface,(self.x,self.y) )
            except: print self.x, self.y
        self.new_iter()




class SkullEnemy(Enemy):
    img = "enemyskull.png"


class CrossEnemy(Enemy):
    img = "enemycross.png"


class ExclaimEnemy(Enemy):
    img = "enemyexclaim.png"
