import sprite, math
import pygame.transform

class Player(sprite.Sprite):
    img="cell.png"
    rotation = 0

    def __init__(self,screen):
        sprite.Sprite.__init__(self,screen)
        self.rotate(new_rot=0)
        self.neucleus = sprite.CellNeucleus(None)
        self.rotate(new_rot=0)

    def rotate(self,angle = None, new_rot = None):
        if new_rot is not None:
            self.rotation = new_rot
        elif angle is not None:
            self.rotation +=angle
        self.roto_surface = self.surface.copy()

        r =  (2./4)*(self.width/2)
        try:
            self.neucleus.x = r * math.sin(self.rotation) + self.width/2 - self.neucleus.width/2
            self.neucleus.y = r * math.cos(self.rotation) + self.height/2 - self.neucleus.height/2

            self.neucleus.render(self.roto_surface)
        except Exception, e: print e # can't work first time on init

    def render(self, parent):
        try:
            parent.blit(self.roto_surface,(self.x,self.y) )
        except: print self.x, self.y
        self.new_iter()

